Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest/src/test.cpp	(revision 2)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Stage_1_Ifetch/Predictor/Meta_Predictor/Two_Level_Branch_Predictor/Branch_History_Table/SelfTest/src/test.cpp	(revision 3)
@@ -46,14 +46,14 @@
    *********************************************************************/
   sc_clock                                 CLOCK ("clock", 1.0, 0.5);
-  sc_signal<Tcontrol_t>                    PREDICT_VAL             [param._nb_prediction];
-  sc_signal<Tcontrol_t>                    PREDICT_ACK             [param._nb_prediction];
-  sc_signal<Taddress_t>                    PREDICT_ADDRESS         [param._nb_prediction];
-  sc_signal<Thistory_t>                    PREDICT_HISTORY         [param._nb_prediction];
-				           
-  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_VAL     [param._nb_branch_complete];
-  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_ACK     [param._nb_branch_complete];
-  sc_signal<Taddress_t>                    BRANCH_COMPLETE_ADDRESS [param._nb_branch_complete];
-  sc_signal<Thistory_t>                    BRANCH_COMPLETE_HISTORY [param._nb_branch_complete];
-  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_HIT     [param._nb_branch_complete];
+  sc_signal<Tcontrol_t>                    PREDICT_VAL               [param._nb_prediction];
+  sc_signal<Tcontrol_t>                    PREDICT_ACK               [param._nb_prediction];
+  sc_signal<Taddress_t>                    PREDICT_ADDRESS           [param._nb_prediction];
+  sc_signal<Thistory_t>                    PREDICT_HISTORY           [param._nb_prediction];
+				           			     
+  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_VAL       [param._nb_branch_complete];
+  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_ACK       [param._nb_branch_complete];
+  sc_signal<Taddress_t>                    BRANCH_COMPLETE_ADDRESS   [param._nb_branch_complete];
+  sc_signal<Thistory_t>                    BRANCH_COMPLETE_HISTORY   [param._nb_branch_complete];
+  sc_signal<Tcontrol_t>                    BRANCH_COMPLETE_DIRECTION [param._nb_branch_complete];
   
   /********************************************************
@@ -75,9 +75,9 @@
   for (uint32_t i=0; i<param._nb_branch_complete; i++)
     {
-      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_VAL     [i]))        (BRANCH_COMPLETE_VAL     [i]);
-      (*(_Branch_History_Table->out_BRANCH_COMPLETE_ACK     [i]))        (BRANCH_COMPLETE_ACK     [i]);
-      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_ADDRESS [i]))        (BRANCH_COMPLETE_ADDRESS [i]);
-      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_HISTORY [i]))        (BRANCH_COMPLETE_HISTORY [i]);
-      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_HIT     [i]))        (BRANCH_COMPLETE_HIT     [i]);
+      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_VAL       [i]))        (BRANCH_COMPLETE_VAL       [i]);
+      (*(_Branch_History_Table->out_BRANCH_COMPLETE_ACK       [i]))        (BRANCH_COMPLETE_ACK       [i]);
+      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_ADDRESS   [i]))        (BRANCH_COMPLETE_ADDRESS   [i]);
+      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_HISTORY   [i]))        (BRANCH_COMPLETE_HISTORY   [i]);
+      (*(_Branch_History_Table-> in_BRANCH_COMPLETE_DIRECTION [i]))        (BRANCH_COMPLETE_DIRECTION [i]);
     }
 
@@ -108,12 +108,12 @@
   Thistory_t history                  = 0;
   Thistory_t mask                     = gen_mask <Thistory_t> (param._size_shifter);
-  Tcontrol_t hit                      = 0;
+  Tcontrol_t direction                = 0;
 
   while (address<param._nb_shifter)
     {
-      BRANCH_COMPLETE_VAL     [0].write(1);
-      BRANCH_COMPLETE_ADDRESS [0].write(address);
-      BRANCH_COMPLETE_HISTORY [0].write(0);
-      BRANCH_COMPLETE_HIT     [0].write(0);
+      BRANCH_COMPLETE_VAL       [0].write(1);
+      BRANCH_COMPLETE_ADDRESS   [0].write(address);
+      BRANCH_COMPLETE_HISTORY   [0].write(0);
+      BRANCH_COMPLETE_DIRECTION [0].write(0);
 
       sc_start(1);
@@ -136,16 +136,16 @@
       address                  = rand() % param._nb_shifter        ;
       history                  = rand() % (1<<param._size_shifter) ;
-      hit                      = rand() % 2;
+      direction                = rand() % 2;
 
       cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} ["+toString(num_port_branch_complete)+"]" << endl
 	   << hex
-	   << " - address     : " << address << endl
-	   << " - history old : " << history << endl
-	   << " - hit         : " << hit     << endl;
+	   << " - address     : " << address  << endl
+	   << " - history old : " << history  << endl
+	   << " - direction   : " << direction<< endl;
 
-      BRANCH_COMPLETE_VAL     [num_port_branch_complete].write(1);
-      BRANCH_COMPLETE_ADDRESS [num_port_branch_complete].write(address);
-      BRANCH_COMPLETE_HISTORY [num_port_branch_complete].write(history);
-      BRANCH_COMPLETE_HIT     [num_port_branch_complete].write(hit);
+      BRANCH_COMPLETE_VAL       [num_port_branch_complete].write(1);
+      BRANCH_COMPLETE_ADDRESS   [num_port_branch_complete].write(address);
+      BRANCH_COMPLETE_HISTORY   [num_port_branch_complete].write(history);
+      BRANCH_COMPLETE_DIRECTION [num_port_branch_complete].write(direction);
 
       // Wait Ack
@@ -160,5 +160,5 @@
       PREDICT_ADDRESS         [num_port_predict        ].write(address);
       
-      history                  = ((history<<1)&mask)|hit;
+      history                  = ((history<<1)&mask)|direction;
       
       // Wait Ack
